Aucun cédérom Debian valide


#1

Bonjour

J’ai un problème.

Quand j’essaie d’installer Debian Sarge sur mon portable, l’installation débute et au moment de charger les composants d’installation à partir du cdrom, l’installeur me dit qu’une erreur s’est produite lors de la lecture des données du cédérom.

Alors je contrôle l’intégrité du cdrom dans le programme d’installation et il m’affiche un message d’erreur “Aucun cédérom Debian valide” alors que j’ai installer Debian Sarge sur deux autres PC de bureau avec ce même cédérom.

J’ai essayer avec un cd sarge-i386-1 et un cd netinstall et les deux me donnent le même résultat, “aucun cdrom Debian valide”.
Par contre avec une Debian woody, ça marche !
Mais je veux installer une Sarge.

Cela vient il de mon lecteur cd ou de mes cds ou d’un autre problème ?
Que puis-je faire?

merci !


#2

[quote]J’ai essayer avec un cd sarge-i386-1 et un cd netinstall et les deux me donnent le même résultat, “aucun cdrom Debian valide”.
Par contre avec une Debian woody, ça marche ! [/quote]

J’ai eu exactement le même problème dernièrement. Il semble que ce soit un bug de l’installeur debian.
J’ai essayé sur 2 PC différents donc il y a peu de chance que ce soit un problème Hardware.

Une image téléchargée le 26 décembre 2004 donnait la même erreur et une autre image téléchargée 1 semaine auparavant à passé sans problème… Je suis d’accord avec toi, c’est plutôt chiant … :smiling_imp:

Tu pourrais éventuellement faire une install Woody et après faire un apt-get dist-upgrade dessus et tu te retrouveras en Sarge. C’est un peu plus long mais ca marche en principe sans problème …

… Ou attendre une nouvelle image en espérant qu’elle fonctionne


#3

OK merci Jabba

Je vais essayer ta méthode en installant d’abord en Woody et ensuite passer en Sarge.

Et je prie pour que les prochaines images de l’installeur fonctionnent.


#4

Si tu veux pouvoir faire un apt-get dist-upgrade n’oublies pas de remplacer toutes les occurences de “Woody” en “Sarge” ou “testing” dans ton fichier sources.list, comme ci-dessous:

freevo:~# cat /etc/apt/sources.list
#deb file:///cdrom/ sarge main
 
#deb http://mirror.switch.ch/ftp/mirror/debian/ testing main
#deb-src http://mirror.switch.ch/ftp/mirror/debian/ testing main
 
#deb http://security.debian.org/ testing/updates main
 
deb http://mirror.switch.ch/ftp/mirror/debian/ testing main
deb-src http://mirror.switch.ch/ftp/mirror/debian/ testing main
 deb http://security.debian.org/ testing/updates main

freevo:~#

et avant de lancer l’ugrade, encore taper:

apt-get update

Bon courage … :wink:


#5

tu peux plutôt dédoubler les sources en woody ET en sarge. Ca donne accés à des “oldies” de la woody destinés à disparaitre avec la sarge, et ca ne gène pas.
Sinon, plutot que de graver des isos (j’aime pas cramer du petrole pour rien), tout peut se faire en ligne avec debootstrap: la version en ligne se met parfois aussi à planter du jour au lendemain, mais maintenant, j’arrive à finir le boulot d’install du système mini à la main presque sans pb quand ca m’arrive.


#6

Et dans ce cas, c’est comment la syntaxe à taper quand on est en Sarge et qu’on veut récupérer un paquet de la Woody ?

Il me semble que c’est un truc du style “Woody::nom_du_paquet” mais je n’arrive pas à retrouver la commande correcte


#7

pour forcer un paquet woody, ca sera:
apt-get install /stable

si c’est pour cibler une version particulière du paquet que tu as repèrée avec apt-cache, et qui n’est pas la plus récente:
apt-get install =<n° de version>

tu peux aussi “pinner” avec /etc/apt/preferences les paquets que tu veux.